Bug 124510 - Installation broken if local user 'amanda' already exists
Summary: Installation broken if local user 'amanda' already exists
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: amanda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Brich
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-27 02:44 UTC by Uriah Welcome
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-22 12:38:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Uriah Welcome 2004-05-27 02:44:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
The amanda rpm uses a fairly common womans name as it's user account.
 On my system the user 'amanda' already existed when I installed the
rpm's.  The rpm's installed, didn't overwrite the 'real' user, but
instead chown'd a bunch of files to the wrong uid.

Version-Release number of selected component (if applicable):
amanda-2.4.4p2-3

How reproducible:
Always

Steps to Reproduce:
1. useradd amanda
2. up2date amanda amanda-server amanda-client
3. profit
    

Expected Results:  perhaps following the debian route of using
'backup' or something similar?

Additional info:

Comment 1 Uriah Welcome 2004-08-18 23:36:41 UTC
This took me about 2 minutes to fix after download the src rpm.  Any
reason this is taking so long to even get a response?

Comment 2 Matthew Miller 2005-04-26 16:22:40 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Jay Fenlason 2005-10-20 15:36:30 UTC
I still haven't come up with a clean way to handle upgrades.  Moving this to 
rawhide so it won't get lost. 

Comment 4 Radek Brich 2007-11-22 12:38:00 UTC
This is fixed in amanda-2.5.2p1-9.fc9.
I wrote RPM scriptlets which should help with transition for common configurations.


Note You need to log in before you can comment on or make changes to this bug.